<h1 align="center">Discord Rich Presence 💬</h1>
<p align="center">
  <img alt="Version" src="https://img.shields.io/badge/version-1.0.0-blue.svg?cacheSeconds=2592000?label=Version" />
  <a href="https://github.com/AngaBlue/discord-rpc/blob/master/LICENSE" target="_blank">
    <img alt="License: LGPL--3.0--or--later" src="https://img.shields.io/github/license/AngaBlue/discord-rpc?color=green" />
  </a>
</p>

Create an interactive rich presence application on Discord to show extra information and buttons on your profile.

### 🏠 [Homepage](https://github.com/AngaBlue/discord-rpc#readme)

![Rich Presence Image Preview](https://i.anga.blue/QrX8.png)

## Install
Clone or download this repository and install dependices using your package manager of choice.

```sh
npm i
```

## Usage

1.  Create a new application on the [Discord Developer portal](https://discord.com/developers).
2.  Fill out the application details and upload an image under Rich Presence with the key `logo-1080`.
3.  Create a `.env` file with the keys `CLIENT_ID` and `CLIENT_SECRET`.  Fill both of these values out accordingly.
4.  Modify any string values that you like in `index.mjs` (fork if you'd like to save your changes through git)
5.  Create a shortcut to `discord-rpc.vbs` in your startup folder in order to start the rich presence application when you reboot your computer.  To access your startup folder, press `Win`+`r` and type `shell:startup`.
6.  At any point, you can manually start the rich presence application by double clicking `discord-rpc.vbs`.

## Author

👤 **AngaBlue <contact@anga.blue>**

* Website: https://anga.blue
* Github: [@AngaBlue](https://github.com/AngaBlue)

## 🤝 Contributing

Contributions, issues and feature requests are welcome!<br />Feel free to check [issues page](https://github.com/AngaBlue/discord-rpc/issues). You can also take a look at the [contributing guide]( ).

## Show your support

Give a ⭐️ if this project helped you!

## 📝 License

Copyright © 2021 [AngaBlue <contact@anga.blue>](https://github.com/AngaBlue).<br />
This project is [LGPL--3.0--or--later](https://github.com/AngaBlue/discord-rpc/blob/master/LICENSE) licensed.
